| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Friends | List of all members
cv::viz::Widget Class Reference
3D Visualizer » Widget

Base class of all widgets. Widget is implicitly shared. More...

`#include "widgets.hpp"`

Inheritance diagram for cv::viz::Widget:

## Public Member Functions
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Static Public Member Functions
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Friends
struct | WidgetAccessor

## Detailed Description

Base class of all widgets. Widget is implicitly shared.

## Constructor & Destructor Documentation

## § Widget() [1/2]

cv::viz::Widget::Widget | ( |  | ) |

## § Widget() [2/2]

cv::viz::Widget::Widget | ( | const Widget & | other | ) |

## § ~Widget()

cv::viz::Widget::~Widget | ( |  | ) |

## Member Function Documentation

## § cast() [1/27]

template<typename _W >

_W cv::viz::Widget::cast | ( |  | ) |

Casts a widget to another.

// Create a sphere widget
viz::WSphere sw(Point3f(0.0f,0.0f,0.0f), 0.5f);
// Cast sphere widget to cloud widget
viz::WCloud cw = sw.cast<viz::WCloud>();

Note
  3D Widgets can only be cast to 3D Widgets. 2D Widgets can only be cast to 2D Widgets.

## § cast() [2/27]

template<>

Widget3D cv::viz::Widget::cast | ( |  | ) |

## § cast() [3/27]

template<>

WLine cv::viz::Widget::cast | ( |  | ) |

## § cast() [4/27]

template<>

WPlane cv::viz::Widget::cast | ( |  | ) |

## § cast() [5/27]

template<>

WSphere cv::viz::Widget::cast | ( |  | ) |

## § cast() [6/27]

template<>

WCylinder cv::viz::Widget::cast | ( |  | ) |

## § cast() [7/27]

template<>

WArrow cv::viz::Widget::cast | ( |  | ) |

## § cast() [8/27]

template<>

WCircle cv::viz::Widget::cast | ( |  | ) |

## § cast() [9/27]

template<>

WCone cv::viz::Widget::cast | ( |  | ) |

## § cast() [10/27]

template<>

WCube cv::viz::Widget::cast | ( |  | ) |

## § cast() [11/27]

template<>

WCoordinateSystem cv::viz::Widget::cast | ( |  | ) |

## § cast() [12/27]

template<>

WPolyLine cv::viz::Widget::cast | ( |  | ) |

## § cast() [13/27]

template<>

WGrid cv::viz::Widget::cast | ( |  | ) |

## § cast() [14/27]

template<>

WText3D cv::viz::Widget::cast | ( |  | ) |

## § cast() [15/27]

template<>

WText cv::viz::Widget::cast | ( |  | ) |

## § cast() [16/27]

template<>

WImageOverlay cv::viz::Widget::cast | ( |  | ) |

## § cast() [17/27]

template<>

WImage3D cv::viz::Widget::cast | ( |  | ) |

## § cast() [18/27]

template<>

WCameraPosition cv::viz::Widget::cast | ( |  | ) |

## § cast() [19/27]

template<>

WTrajectory cv::viz::Widget::cast | ( |  | ) |

## § cast() [20/27]

template<>

WTrajectoryFrustums cv::viz::Widget::cast | ( |  | ) |

## § cast() [21/27]

template<>

WTrajectorySpheres cv::viz::Widget::cast | ( |  | ) |

## § cast() [22/27]

template<>

WCloud cv::viz::Widget::cast | ( |  | ) |

## § cast() [23/27]

template<>

WPaintedCloud cv::viz::Widget::cast | ( |  | ) |

## § cast() [24/27]

template<>

WCloudCollection cv::viz::Widget::cast | ( |  | ) |

## § cast() [25/27]

template<>

WCloudNormals cv::viz::Widget::cast | ( |  | ) |

## § cast() [26/27]

template<>

WMesh cv::viz::Widget::cast | ( |  | ) |

## § cast() [27/27]

template<>

WWidgetMerger cv::viz::Widget::cast | ( |  | ) |

## § fromPlyFile()

static Widget cv::viz::Widget::fromPlyFile | ( | const String & | file_name | ) |
| static

Creates a widget from ply file.

Parameters

  file_name | Ply file name.

## § getRenderingProperty()

double cv::viz::Widget::getRenderingProperty | ( | int | property | ) | const

Returns rendering property of the widget.

Parameters

  property | Property.

Rendering property can be one of the following:

- POINT_SIZE
- OPACITY
- LINE_WIDTH
- FONT_SIZE
- AMBIENT

REPRESENTATION: Expected values are

- REPRESENTATION_POINTS
- REPRESENTATION_WIREFRAME

- REPRESENTATION_SURFACE

  IMMEDIATE_RENDERING**:

- Turn on immediate rendering by setting the value to 1.
- Turn off immediate rendering by setting the value to 0.

SHADING: Expected values are

- SHADING_FLAT
- SHADING_GOURAUD
- SHADING_PHONG

## § operator=()

Widget& cv::viz::Widget::operator= | ( | const Widget & | other | ) |

## § setRenderingProperty()

void cv::viz::Widget::setRenderingProperty | ( | int | property,
|  | double | value
| ) |  |

Sets rendering property of the widget.

Parameters

  property | Property that will be modified.
  value | The new value of the property.

Rendering property can be one of the following:

- POINT_SIZE
- OPACITY
- LINE_WIDTH
- FONT_SIZE

REPRESENTATION: Expected values are

- REPRESENTATION_POINTS
- REPRESENTATION_WIREFRAME
- REPRESENTATION_SURFACE

IMMEDIATE_RENDERING:

- Turn on immediate rendering by setting the value to 1.
- Turn off immediate rendering by setting the value to 0.

SHADING: Expected values are

- SHADING_FLAT
- SHADING_GOURAUD
- SHADING_PHONG

## Friends And Related Function Documentation

## § WidgetAccessor

friend struct WidgetAccessor
| friend

The documentation for this class was generated from the following file:

- viz/include/opencv2/viz/widgets.hpp